"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    default: ()=>_default,
    BasicProperties: ()=>BasicProperties
});
const _index = require("../index");
const _util = require("./util");
const _default = {
    title: 'Example/g'
};
const template = (0, _util.createTemplate)(groupExample);
const BasicProperties = template({
    x: 100,
    y: 100,
    rotate: 20,
    rotateOrigin: [
        0,
        0
    ],
    scaleX: 1,
    scaleY: 1,
    skewX: 5,
    skewY: 5
});
function groupExample(args) {
    return (0, _index.g)({
        ...args,
        children: [
            (0, _index.img)({
                x: 0,
                y: 0,
                src: 'https://rxjs.dev/assets/images/logos/logo.png'
            }),
            (0, _index.rect)({
                x: 100,
                y: 100,
                width: 100,
                height: 100,
                fillStyle: 'purple'
            })
        ]
    });
}

//# sourceMappingURL=g.stories.js.map