"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "createTemplate", {
    enumerable: true,
    get: ()=>createTemplate
});
const _index = require("../index");
function createTemplate(comp) {
    const Template = function(args) {
        const canvas = document.createElement('canvas');
        canvas.width = 500;
        canvas.height = 500;
        (0, _index.crc)(canvas, comp(args));
        return canvas;
    };
    return (args)=>{
        const boundTemplate = Template.bind({});
        boundTemplate.args = args;
        return boundTemplate;
    };
}

//# sourceMappingURL=util.js.map